import java.io.Serializable;

import javax.persistence.AttributeOverride;
import javax.persistence.AttributeOverrides;
import javax.persistence.Column;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

@Entity
@Table(name="EMP")

public class Employee implements Serializable {
  private String firstName;
  private EmployeePK pk;

  public String getFirstName() { return firstName; }
  public void setFirstName(String firstName) { this.firstName = firstName; }

  @EmbeddedId
  @AttributeOverrides({
      @AttributeOverride(name="lastName", column=@Column(name="LAST_NAME")),
      @AttributeOverride(name="ssn", column=@Column(name="SSN"))
  })
  public EmployeePK getPk() { return pk; }
  public void setPk(EmployeePK pk) { this.pk = pk; }

  @Transient
  public String getLastName() { return pk.getLastName(); }

  @Transient
  public long getSsn() { return pk.getSsn(); }
}
